Properties Methods Events Config Options Direct Link

# Class Ext.ux.TabCloseMenu

Package: | Ext.ux
Defined In: | TabCloseMenu.js
Class: | TabCloseMenu
Extends: | Object

Plugin (ptype = 'tabclosemenu') for adding a close context menu to tabs. Note that the menu respects the closable configuration on the tab. As such, commands like remove others and remove all will not remove items that are not closable.

## Config Options

Config Options | Defined By
--- | ---
| closeAllTabsText : String The text for closing all tabs. Defaults to `'Close All Tabs'`. | TabCloseMenu
| closeAllTabsText : String The text for closing all tabs. Defaults to `'Close All Tabs'`. | TabCloseMenu
| closeOtherTabsText : String The text for closing all tabs except the current one. Defaults to `'Close Other Tabs'`. | TabCloseMenu
| closeOtherTabsText : String The text for closing all tabs except the current one. Defaults to `'Close Other Tabs'`. | TabCloseMenu
| closeTabText : String The text for closing the current tab. Defaults to `'Close Tab'`. | TabCloseMenu
| closeTabText : String The text for closing the current tab. Defaults to `'Close Tab'`. | TabCloseMenu
| showCloseAll : Boolean Indicates whether to show the 'Close All' option. Defaults to `true`. | TabCloseMenu
| showCloseAll : Boolean Indicates whether to show the 'Close All' option. Defaults to `true`. | TabCloseMenu

## Public Properties

This class has no public properties.

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.